Summary: Nautilus extension for customizing the context menu
Name:    nautilus-actions
Version: 1.0
Release: 2%{?dist}
Group:   User Interface/Desktops
License: GPL
URL:     http://www.grumz.net/node/8
Source0: http://www.grumz.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libgnomeui-devel, libglade2-devel, nautilus
BuildRequires: e2fsprogs-devel
BuildRequires: desktop-file-utils
Requires(pre): GConf2
Requires(preun): GConf2

%description
Nautilus actions is an extension for Nautilus, the GNOME file manager.
It provides an easy way to configure programs to be launch on files 
selected in Nautilus interface

%prep
%setup -q

%build
%configure --disable-schemas-install --enable-commandline-tool \
           --with-nautilus-extdir=%{_libdir}/nautilus/extensions-1.0
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

cp -pr %{buildroot}/%{_datadir}/{nautilus-actions/nact,pixmaps}/nautilus-actions-icon.png

rm -rf %{buildroot}/%{_libdir}/nautilus/extensions-1.0/libnautilus-actions.la
rm -rf %{buildroot}%{_datadir}/applications/fedora-nact.desktop

desktop-file-install --delete-original                   \
        --vendor startcom                                \
        --dir %{buildroot}%{_datadir}/applications       \
	--mode 0644				         \
        --add-category X-StartCom                        \
        %{buildroot}%{_datadir}/applications/nact.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/config_newaction.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/config_newaction.schemas > /dev/null || :
    gconftool-2 --recursive-unset /apps/nautilus-actions
    gconftool-2 --recursive-unset /schemas/apps/nautilus-actions
    killall -HUP gconfd-2 || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/nautilus-actions-config
%{_bindir}/nautilus-actions-convert
%{_bindir}/nautilus-actions-new-config
%{_libdir}/nautilus/extensions-1.0/libnautilus-actions.so
%{_datadir}/%{name}/
%{_datadir}/applications/*-nact.desktop
%{_datadir}/pixmaps/nautilus-actions-icon.png

%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Feb 13 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Feb 8 2006 Deji Akingunola <dakingun@gmail.com> - 1.0-1
- New upstream version
- Do away with gconf schemas installation

* Mon Jan 2 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-6
- Add nautilus extensions dir to configure arguments

* Sun Jan 1 2006 Deji Akingunola <dakingun@gmail.com> - 0.99-5
- Remove libXdmcp-devel as BR, nautilus now takkes care of it

* Sun Dec 18 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-4
- Remove libSM-devel from build require as libgnomeui now build-requires
- Add libXdmcp-devel to the build requires

* Tue Nov 29 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-2
- Remove unnecesary configure options
- Clean-up the desktop file installation
- Add e2fsprogs-devel buildrequire and remove explicit require on nautilus

* Fri Nov 25 2005 Deji Akingunola <dakingun@gmail.com> - 0.99-1
- initial Extras release
